-- LSP Server for Lua
require'lspconfig'.sumneko_lua.setup {
  on_attach = function()
    vim.keymap.set('n', 'K', vim.lsp.buf.hover, { buffer = 0, remap = false })
    vim.keymap.set('n', '<leader>gd', vim.lsp.buf.definition, { buffer = 0, remap = false })
  end,
  settings = {
    Lua = {
      runtime = {
        -- Tell the language server which version of Lua you're using (most likely LuaJIT in the case of Neovim)
        version = 'LuaJIT',
      },
      diagnostics = {
        -- Get the language server to recognize the `vim` global
        globals = {'vim'},
      },
      workspace = {
        -- Make the server aware of Neovim runtime files
        library = vim.api.nvim_get_runtime_file("", true),
      },
      -- Do not send telemetry data containing a randomized but unique identifier
      telemetry = {
        enable = false,
      },
    },
  },
}
